// import request from "@/api/request";
import http from "@/api/http";

export default {
  // 首页- 申请成为志愿者
  async applyVolunteer(data) {
    return http({
      url: '/index/applyVolunteer',
      method: 'POST',
      data
    })
  },

  // 首页- 查看志愿者信息复制接口复制文档复制地址
  // POST
  // / community - admin / community / index /queryVolunteer
  async queryVolunteer() {
    return http({
      url: '/index/queryVolunteer',
      method: 'POST'
    })
  },
  // 首页- 获取banner图列表
  async queryBannerList(data) {
    return http({
      url: '/index/queryBannerList',
      method: 'GET',
      noToken: true,
      data
    })
  },

  // 首页- 获取公告详情
  async queryNoticeById(data) {
    return http({
      url: '/index/queryNoticeById',
      method: 'GET',
      data,
      noToken: true
    })
  },

  // 首页- 获取公告列表
  async queryNoticeList(data) {
    return http({
      url: '/index/queryNoticeList',
      method: 'GET',
      data,
      noToken: true
      
    })
  },
}